Author: Bastian Waidelich Category: Http
Updated: 2013-07-10 Due date:
Subject: Extract MediaType handling from HTTP request
Description

Currently the HTTP Request contains several methods interacting with media types (aka MIME types).
We should extract those to the MediaTypes utility class to purge the request class and to make media type handling easier reusable
for other components

Related issues:
related to TYPO3.Flow - Feature # 45293: More flexible parsing of body arguments Resolved 2013-02-08 2013-04-13

Associated revisions
Revision 19cf544d - 2013-07-10 12:13 - Bastian Waidelich

[TASK] Extract MediaType handling from HTTP request

Currently the HTTP Request contains several methods interacting
with media types (aka MIME types).

This change extract those methods to the MediaTypes utility class
to purge the request class and to make media type handling easier
reusable for other components.

Change-Id: Ie7b57e066cd0e5f94d53163d9f0a16100b9273ba
Resolves: #48615
Releases: master

History
#1 - 2013-05-28 17:19 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21133

#2 - 2013-05-28 17:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21133
#3 - 2013-07-10 12:13 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21133

#4 - 2013-07-10 12:37 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:19cf544d222968f650065ae91e67efeccc672e30.
